> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirmar uma reivindicação

> Use este endpoint para confirmar uma operação de reivindicação. Como
consequência, o vínculo entre a chave e o participante doador é
removido. O status deve estar em WAITING_RESOLUTION.


**Notas:**

- Para reivindicações de propriedade, se o motivo for DEFAULT_OPERATION,
o período de resolução (ResolutionPeriodEnd) deve ter transcorrido. Se o
motivo informado for USER_REQUESTED, o período de encerramento
(CompletionPeriodEnd) será antecipado para permitir o encerramento
imediato pelo reivindicador.



## OpenAPI

````yaml pt/openapi/v3-current/indirect-pix.yaml POST /v1/dict/claims/{claim_id}/confirm
openapi: 3.0.3
info:
  title: Plugin BR Pix Indireto - API Completa
  description: |
    API completa para o sistema brasileiro de pagamentos instantâneos Pix,
    incluindo operações de dicionário de chaves Pix, geração/decodificação de
    QR Code, transações e limites de transações.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/claims/{claim_id}/confirm:
    post:
      tags:
        - Claims API
      summary: Confirmar uma reivindicação
      description: |-
        Use este endpoint para confirmar uma operação de reivindicação. Como
        consequência, o vínculo entre a chave e o participante doador é
        removido. O status deve estar em WAITING_RESOLUTION.


        **Notas:**

        - Para reivindicações de propriedade, se o motivo for DEFAULT_OPERATION,
        o período de resolução (ResolutionPeriodEnd) deve ter transcorrido. Se o
        motivo informado for USER_REQUESTED, o período de encerramento
        (CompletionPeriodEnd) será antecipado para permitir o encerramento
        imediato pelo reivindicador.
      parameters:
        - $ref: '#/components/parameters/ClaimId'
        - $ref: '#/components/parameters/XAccountId'
        - $ref: '#/components/parameters/XReasonConfirm'
      responses:
        '200':
          description: Reivindicação confirmada com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimObject'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0126:
                  $ref: '#/components/examples/ErrorPIX0126'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0113:
                  $ref: '#/components/examples/ErrorPIX0113'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0125:
                  $ref: '#/components/examples/ErrorPIX0125'
                ErrorPIX0127:
                  $ref: '#/components/examples/ErrorPIX0127'
                ErrorPIX0128:
                  $ref: '#/components/examples/ErrorPIX0128'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX1000:
                  $ref: '#/components/examples/ErrorPIX1000'
                ErrorPIX1007:
                  $ref: '#/components/examples/ErrorPIX1007'
                ErrorPIX1099:
                  $ref: '#/components/examples/ErrorPIX1099'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    ClaimId:
      name: claim_id
      in: path
      description: Identificador único da reivindicação (formato UUID).
      required: true
      example: 019c96a0-0bc7-7958-9d05-82bef1f200f1
      schema:
        type: string
    XAccountId:
      name: X-Account-Id
      in: header
      description: Identificador único da Conta do Ledger Midaz (formato UUID).
      required: true
      example: 019c96a0-0a98-7287-9a31-786e0809c769
      schema:
        type: string
    XReasonConfirm:
      name: X-Reason
      in: header
      description: >-
        Motivo da confirmação: USER_REQUESTED, ACCOUNT_CLOSURE,
        DEFAULT_OPERATION, FRAUD ou RECONCILIATION.
      required: true
      example: DEFAULT_OPERATION
      schema:
        type: string
        enum:
          - USER_REQUESTED
          - ACCOUNT_CLOSURE
          - DEFAULT_OPERATION
          - FRAUD
          - RECONCILIATION
  schemas:
    ClaimObject:
      type: object
      properties:
        id:
          type: string
          description: UUID interno da reivindicação.
          example: 019c96a0-0c3e-77b5-8321-4807058a67bb
        bacenClaimId:
          type: string
          description: Identificador DICT do BACEN para esta reivindicação.
          example: 019c96a0-0d16-7184-ad7f-38545eeb671c
        key:
          type: string
          description: O valor da chave Pix que está sendo reivindicada.
          example: '+5561988887777'
        keyType:
          type: string
          description: Tipo de chave Pix.
          example: PHONE
        type:
          type: string
          description: Tipo de reivindicação.
          enum:
            - OWNERSHIP
            - PORTABILITY
          example: OWNERSHIP
        status:
          type: string
          description: Status atual da reivindicação.
          enum:
            - OPEN
            - WAITING_RESOLUTION
            - CONFIRMED
            - CANCELLED
            - COMPLETED
          example: OPEN
        donorParticipant:
          type: string
          description: ISPB do PSP doador.
          example: '30306294'
        resolutionPeriodEnd:
          type: string
          format: date-time
          description: Prazo para resposta do doador (D+7 a partir da criação).
          example: '2024-01-22T10:30:00Z'
        completionPeriodEnd:
          type: string
          format: date-time
          description: Prazo para conclusão da reivindicação (D+14 a partir da criação).
          example: '2024-01-29T10:30:00Z'
        createdAt:
          type: string
          format: date-time
          description: Timestamp de quando a reivindicação foi criada.
          example: '2024-01-15T10:30:00Z'
        updatedAt:
          type: string
          format: date-time
          description: Timestamp da última atualização da reivindicação.
          example: '2024-01-15T10:30:00Z'
    ErrorFormat:
      type: object
      description: A mensagem de erro da resposta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Um identificador único e estável para o erro.
        title:
          type: string
          description: Um breve resumo do problema.
        message:
          type: string
          description: Orientação detalhada para resolver o erro.
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0126:
      summary: Must Be Donor Participant
      value:
        code: PIX-0126
        title: Must Be Donor Participant
        message: The claim must be from the donor participant to confirm.
    ErrorPIX0113:
      summary: Claim Not Found
      value:
        code: PIX-0113
        title: Claim Not Found
        message: The claim was not found.
    ErrorPIX0125:
      summary: Waiting Resolution Status
      value:
        code: PIX-0125
        title: Waiting Resolution Status
        message: The claim must be in WAITING_RESOLUTION status to execute the action.
    ErrorPIX0127:
      summary: Portability Cannot Be Confirmed
      value:
        code: PIX-0127
        title: Portability Cannot Be Confirmed
        message: Portability claims cannot be confirmed with DEFAULT_OPERATION reason.
    ErrorPIX0128:
      summary: Ownership Cannot Be Confirmed
      value:
        code: PIX-0128
        title: Ownership Cannot Be Confirmed
        message: >-
          Ownership claims cannot be confirmed with DEFAULT_OPERATION reason
          before the resolution period has ended.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
    ErrorPIX1000:
      summary: Provider Connection Error
      value:
        code: PIX-1000
        title: Provider Connection Error
        message: Failed to connect to provider.
    ErrorPIX1007:
      summary: Provider Internal Error
      value:
        code: PIX-1007
        title: Provider Internal Error
        message: Provider returned an internal error.
    ErrorPIX1099:
      summary: Provider Unmapped Error
      value:
        code: PIX-1099
        title: Provider Unmapped Error
        message: Provider returned an unmapped error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````